<?php
class BongdakoSettings {
    public static $arrayColor = array(
        '6in1' => array(
            array(
                'name' => '--bg',
                'label' => 'Màu nền',
                'color' => '#e6e6e6'
            ),
            array(
                'name' => '--bg_item',
                'label' => 'Màu nền phụ',
                'color' => '#ffffff'
            ),
            array(
                'name' => '--bg_item_2',
                'label' => 'Màu nền phụ 2',
                'color' => '#f3f3f3'
            ),
            array(
                'name' => '--text_main',
                'label' => 'Màu chữ',
                'color' => '#070f03'
            ),
            array(
                'name' => '--text_live',
                'label' => 'Màu chữ "LIVE"',
                'color' => '#f75000'
            ),
            array(
                'name' => '--bg_main',
                'label' => 'Màu chính',
                'color' => '#005030'
            ),
            array(
                'name' => '--bg_league',
                'label' => 'Màu nền lọc giải đấu',
                'color' => '#d7d7d7'
            ),
            array(
                'name' => '--text_league',
                'label' => 'Màu chữ lọc giải đấu',
                'color' => '#414141'
            ),
            array(
                'name' => '--title_league',
                'label' => 'Màu chữ giải đấu',
                'color' => '#414141'
            ),
            array(
                'name' => '--text_score',
                'label' => 'Màu chữ tỷ số',
                'color' => '#e51b00'
            ),
            array(
                'name' => '--text_time',
                'label' => 'Màu chữ thời gian',
                'color' => '#167dc7'
            ),
            array(
                'name' => '--bg_odd',
                'label' => 'Màu nền tỷ lệ mặc định',
                'color' => '#ffefd8'
            ),
            array(
                'name' => '--bg_odd_hover',
                'label' => 'Màu nền tỷ lệ mặc định trạng thái hover',
                'color' => '#ffdeae'
            ),
            array(
                'name' => '--bg_odd_up',
                'label' => 'Màu nền tỷ lệ tăng',
                'color' => '#dcffee'
            ),
            array(
                'name' => '--bg_odd_up_hover',
                'label' => 'Màu nền tỷ lệ tăng trạng thái hover',
                'color' => '#78ffbd'
            ),
            array(
                'name' => '--bg_odd_down',
                'label' => 'Màu nền tỷ lệ giảm',
                'color' => '#ffdbd8'
            ),
            array(
                'name' => '--bg_odd_down_hover',
                'label' => 'Màu nền tỷ lệ giảm trạng thái hover',
                'color' => '#fcc'
            ),
            array(
                'name' => '--text_odd_option',
                'label' => 'Màu text tỷ lệ chấp',
                'color' => '#414141'
            ),
            array(
                'name' => '--text_odd',
                'label' => 'Màu text tỷ lệ',
                'color' => '#070f03'
            ),
            array(
                'name' => '--bg_button_more_bet',
                'label' => 'Màu nền mở thêm kèo',
                'color' => '#edfff8'
            ),
            array(
                'name' => '--bg_more_bet',
                'label' => 'Màu nền kèo mở rộng',
                'color' => '#fff1e4'
            )
        ),
        'result' => array(
            array(
                'name' => '--bg',
                'label' => 'Màu nền',
                'color' => '#e6e6e6'
            ),
            array(
                'name' => '--bg_item',
                'label' => 'Màu nền phụ',
                'color' => '#ffffff'
            ),
            array(
                'name' => '--text_main',
                'label' => 'Màu chữ',
                'color' => '#070f03'
            ),
            array(
                'name' => '--text_sub',
                'label' => 'Màu chữ phụ',
                'color' => '#888888'
            ),
            array(
                'name' => '--bg_main',
                'label' => 'Màu chính',
                'color' => '#005030'
            ),
            array(
                'name' => '--title_league',
                'label' => 'Màu chữ giải đấu',
                'color' => '#414141'
            ),
            array(
                'name' => '--text_score',
                'label' => 'Màu chữ tỷ số',
                'color' => '#e51b00'
            ),
            array(
                'name' => '--text_score_corner',
                'label' => 'Màu chữ góc',
                'color' => '#ff8000'
            ),
            array(
                'name' => '--bg_odd',
                'label' => 'Màu nền tỷ lệ mặc định',
                'color' => '#ffefd8'
            ),
            array(
                'name' => '--text_odd',
                'label' => 'Màu text tỷ lệ',
                'color' => '#070f03'
            )
        ),
        'fixture' => array(
            array(
                'name' => '--bg',
                'label' => 'Màu nền',
                'color' => '#e6e6e6'
            ),
            array(
                'name' => '--bg_item',
                'label' => 'Màu nền phụ',
                'color' => '#ffffff'
            ),
            array(
                'name' => '--text_main',
                'label' => 'Màu chữ',
                'color' => '#070f03'
            ),
            array(
                'name' => '--text_sub',
                'label' => 'Màu chữ phụ',
                'color' => '#888888'
            ),
            array(
                'name' => '--bg_main',
                'label' => 'Màu chính',
                'color' => '#005030'
            ),
            array(
                'name' => '--title_league',
                'label' => 'Màu chữ giải đấu',
                'color' => '#414141'
            ),
            array(
                'name' => '--text_score',
                'label' => 'Màu chữ tỷ số',
                'color' => '#e51b00'
            ),
            array(
                'name' => '--text_score_corner',
                'label' => 'Màu chữ góc',
                'color' => '#ff8000'
            ),
            array(
                'name' => '--bg_tool',
                'label' => 'Màu nền bảng ngày',
                'color' => '#fbf6f5'
            ),
            array(
                'name' => '--text_tool',
                'label' => 'Màu chữ bảng ngày',
                'color' => '#070f03'
            ),
            array(
                'name' => '--bg_tool_hover',
                'label' => 'Màu nền bảng ngày hover',
                'color' => '#c73c10'
            ),
            array(
                'name' => '--text_tool_hover',
                'label' => 'Màu chữ bảng ngày hover',
                'color' => '#ffffff'
            ),
        ),
        'rate' => array(
            array(
                'name' => '--bg',
                'label' => 'Màu nền',
                'color' => '#e6e6e6'
            ),
            array(
                'name' => '--bg_item',
                'label' => 'Màu nền phụ',
                'color' => '#ffffff'
            ),
            array(
                'name' => '--bg_item_2',
                'label' => 'Màu nền phụ 2',
                'color' => '#f3f3f3'
            ),
            array(
                'name' => '--text_main',
                'label' => 'Màu chữ',
                'color' => '#070f03'
            ),
            array(
                'name' => '--text_sub',
                'label' => 'Màu chữ phụ',
                'color' => '#888888'
            ),
            array(
                'name' => '--text_score_corner',
                'label' => 'Màu chữ góc',
                'color' => '#ff8000'
            ),
            array(
                'name' => '--bg_main',
                'label' => 'Màu chính',
                'color' => '#005030'
            ),
            array(
                'name' => '--title_league',
                'label' => 'Màu chữ giải đấu',
                'color' => '#414141'
            ),
            array(
                'name' => '--text_score',
                'label' => 'Màu chữ tỷ số',
                'color' => '#e51b00'
            ),
            array(
                'name' => '--bg_odd',
                'label' => 'Màu nền tỷ lệ mặc định',
                'color' => '#ffefd8'
            ),
            array(
                'name' => '--bg_odd_up',
                'label' => 'Màu nền tỷ lệ tăng',
                'color' => '#dcffee'
            ),
            array(
                'name' => '--bg_odd_down',
                'label' => 'Màu nền tỷ lệ giảm',
                'color' => '#ffdbd8'
            ),
            array(
                'name' => '--text_odd',
                'label' => 'Màu text tỷ lệ',
                'color' => '#070f03'
            )
        )
    );
    /**
     * Render input color
     * 
     * @param array $field Thông tin về màu (name, label, color)
     * @return string HTML của input màu
     */
    public static function input_color_bongdako($field) {
       return '<div class="sport-plugin-tab-item-group1" style="width:100%">
            <label for="' . esc_attr($field['name']) . '">'.esc_attr($field['label']).'</label>
            <input 
                type="color" 
                class="input_data_bongdako"
                name="' . esc_attr($field['name']) . '" 
                id="' . esc_attr($field['name']) . '" 
                value="' . esc_attr($field['color']) . '"
                data="' . esc_attr($field['label']) . '"
            >
            <input 
                type="text" 
                id="' . esc_attr($field['name']) . '_hex" 
                value="' . esc_attr($field['color']) . '" 
                class="text-bg-color"
            >
        </div>'; 
    }
}